package com.ssj.service.kmt.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class BookFilterRequest  extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String  vipId;
    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;
    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;
    @ApiModelProperty(name = "type", value = "版本", required = true)
    private int type;
    @ApiModelProperty(name = "semester", value = "上下册", required = true)
    private int semester;

    @ApiModelProperty(name = "homeworkPictureId", value = "作业原图id", required = false)
    private String homeworkPictureId;

    @ApiModelProperty(name = "compositionCommentModule", value = "维度", required = false)
    private String compositionCommentModule;

    @ApiModelProperty(name = "typeName", value = "作文评语类型", required = false)
    private String typeName;

    @ApiModelProperty(name="pageNo",value = "当前页码",required = true)
    private Integer pageNo;

    @ApiModelProperty(name="pageSize",value = "每页条数",required = true)
    private Integer pageSize;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getSemester() {
        return semester;
    }

    public void setSemester(int semester) {
        this.semester = semester;
    }

    public String getCompositionCommentModule() {
        return compositionCommentModule;
    }

    public void setCompositionCommentModule(String compositionCommentModule) {
        this.compositionCommentModule = compositionCommentModule;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
}
